/**********
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
**********/
/*
    A C++ program to parse DJI's ".txt" log files (recorded by the "DJI Go 4" app).
    Version 2021-01-19

    Copyright (c) 2021 Live Networks, Inc.  All rights reserved.
    For the latest version of this program (and more information), visit http://djilogs.live555.com

    Get an array of 8 bytes that were used to scramble (i.e., obfuscate) record data.
    Header File.
*/

#ifndef _SCRAMBLE_BYTES_HH
#define _SCRAMBLE_BYTES_HH

#include <sys/types.h>

void getScrambleBytes(u_int8_t recordType, u_int8_t keyByte,
		      u_int8_t* resultScrambleBytes);

#endif
